## tuxpaint-config 0.0.5

=== Makefile ===
# Makefile for tuxpaint-config

# Tux Paint Configuration Tool - A GUI-based configurator for
#                              Tux Paint, a simple drawing program for children.

# Torsten Giebl <wizard@turricane.org>
# Jan Wynholds
# Bill Kendrick <bill@newbreedsoftware.com>

# http://www.newbreedsoftware.com/tuxpaint/

# November 12, 2002 - September 4, 2004


# Where to install things:

PREFIX=/usr/local


# Program:

BIN_PREFIX=$(PREFIX)/bin


# Data:

DATA_PREFIX=$(PREFIX)/share/tuxpaint-config/


# Docs and man page:

DOC_PREFIX=$(PREFIX)/share/doc/tuxpaint-config/
MAN_PREFIX=$(PREFIX)/share/man/


# Tux Paint's 'System-wide' Config file:

ifeq ($(PREFIX),/usr)
  CONFDIR=/etc/tuxpaint
else
  CONFDIR=$(PREFIX)/etc/tuxpaint
endif


# Icons and launchers:

ICON_PREFIX=$(PREFIX)/share/pixmaps/
X11_ICON_PREFIX=$(PREFIX)/X11R6/include/X11/pixmaps/
GNOME_PREFIX=`gnome-config --prefix`
KDE_PREFIX=`kde-config --install apps --expandvars`
KDE_ICON_PREFIX=`kde-config --install icon --expandvars`


# Locale files

LOCALE_PREFIX=$(PREFIX)/share/locale/
# LOCALE_PREFIX=/usr/share/locale/


# Built with sound by default  (override with "make nosound")

NOSOUNDFLAG=__SOUND


# Libraries, paths, and flags:

FLTK_CFLAGS=`fltk-config --cxxflags`
FLTK_LIBS=`fltk-config --ldstaticflags`

# The entire set of CFLAGS:

CFLAGS=-O2 -Wall $(FLTK_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" \
	-D$(NOSOUNDFLAG) -DDOC_PREFIX=\"$(DOC_PREFIX)\" \
	-DLOCALEDIR=\"$(LOCALE_PREFIX)\" -DCONFDIR=\"$(CONFDIR)\"


# "make" with no arguments builds the program and man page from sources:

all:	tuxpaint-config translations
	@echo
	@echo "Done compiling."
	@echo "Now (probably as 'root' superuser), run 'make install'"
	@echo "to install Tux Paint Configuration Tool."
	@echo



# "make install" installs all of the various parts
# (depending on the *PREFIX variables at the top, you probably need
# to do this as superuser ("root"))

install:	install-bin install-data install-man install-doc \
		install-gnome install-kde install-kde-icons \
		install-icon install-gettext
	@echo
	@echo "All done! Now (preferably NOT as 'root' superuser),"
	@echo "you can type the command 'tuxpaint-config' to run the"
	@echo "configuration tool!"
	@echo
	@echo "Enjoy!"
	@echo


# "make clean" deletes the program, the compiled objects and the
# built man page (returns to factory archive, pretty much...)

clean:
	-rm -f tuxpaint-config tuxpaint-config.exe
	-rm -f obj/*.o
	if [ -d obj ]; then rmdir obj; fi
	-rm -f trans/*.mo
	if [ -d trans ]; then rmdir trans; fi


# "make uninstall" should remove the various parts from their
# installation locations.  BE SURE the *PREFIX variables at the top
# are the same as they were when you installed, of course!!!

uninstall:
#	if [ "x$(GNOME_PREFIX)" != "x" ]; then \
#	  -rm $(GNOME_PREFIX)/share/gnome/apps/Graphics/tuxpaint-config.desktop; \
#	  -rm $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
#	fi
#	if [ "x$(KDE_PREFIX)" != "x" ]; then \
#	  -rm $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
#	fi
	-rm $(ICON_PREFIX)tuxpaint-config.png
	-rm $(X11_ICON_PREFIX)tuxpaint-config.xpm
	-rm $(BIN_PREFIX)/tuxpaint-config
	-rm -r $(DATA_PREFIX)
	-rm -r $(DOC_PREFIX)
	-rm $(MAN_PREFIX)/man1/tuxpaint-config.1.gz


# Install a launcher icon in the Gnome menu, under "???"

install-gnome:
#	@echo
#	@echo "...Installing launcher icon into GNOME..."
#	if [ "x$(GNOME_PREFIX)" != "x" ]; then \
#	 install -d $(GNOME_PREFIX)/share/pixmaps; \
#	 cp data/images/icon.png $(GNOME_PREFIX)/share/pixmaps/tuxpaint.png; \
#	 chmod 644 $(GNOME_PREFIX)/share/pixmaps/tuxpaint.png; \
#	 install -d $(GNOME_PREFIX)/share/gnome/apps/Graphics; \
#	 cp src/tuxpaint.desktop $(GNOME_PREFIX)/share/gnome/apps/Graphics/; \
#	 chmod 644 $(GNOME_PREFIX)/share/gnome/apps/Graphics/tuxpaint.desktop; \
#	fi


# Install a launcher icon in the KDE menu...

install-kde:
	@echo
	@echo "...Installing launcher icon into KDE..."
#	if [ "x$(KDE_PREFIX)" != "x" ]; then \
#	  install -d $(KDE_PREFIX)/Preferences/; \
#	  cp src/tuxpaint-config.desktop $(KDE_PREFIX)/Preferences/; \
#	  chmod 644 $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
#	fi


install-kde-icons:
	echo "...Installing launcher icon graphics into KDE..."
	@if [ "x$(KDE_ICON_PREFIX)" != "x" ]; then \
	  cp data/images/icon48x48.png \
		$(KDE_ICON_PREFIX)/hicolor/48x48/apps/tuxpaint-config.png; \
	  cp data/images/icon32x32.png \
		$(KDE_ICON_PREFIX)/hicolor/32x32/apps/tuxpaint-config.png; \
	  cp data/images/icon16x16.png \
		$(KDE_ICON_PREFIX)/hicolor/16x16/apps/tuxpaint-config.png; \
	fi


# Install the PNG icon (for GNOME, KDE, etc.)
# and the 24-color 32x32 XPM (for other Window managers):

install-icon:
	@echo
	@echo "...Installing launcher icon graphics..."
	install -d $(ICON_PREFIX)
	cp data/images/icon.png $(ICON_PREFIX)tuxpaint-config.png
	chmod 644 $(ICON_PREFIX)tuxpaint-config.png
	install -d $(X11_ICON_PREFIX)
	cp data/images/icon32x32.xpm $(X11_ICON_PREFIX)tuxpaint-config.xpm
	chmod 644 $(X11_ICON_PREFIX)tuxpaint-config.xpm


# Install the program:

install-bin:
	@echo
	@echo "...Installing program itself..."
	cp tuxpaint-config $(BIN_PREFIX)
	chmod a+rx,g-w,o-w $(BIN_PREFIX)/tuxpaint-config


# Install the data (sound, graphics, fonts):

install-data:
	@echo
	@echo "...Installing data files..."
	install -d $(DATA_PREFIX)
	cp -R data/* $(DATA_PREFIX)
	chmod -R a+rX,g-w,o-w $(DATA_PREFIX)


# Install the translated text:

install-gettext:
	@echo
	@echo "...Installing translation files..."



# Install the text documentation:

install-doc:
	@echo
	@echo "...Installing documentation..."
	@echo "(English)"
	install -d $(DOC_PREFIX)
	cp docs/AUTHORS.txt $(DOC_PREFIX)
	cp docs/CHANGES.txt $(DOC_PREFIX)
	cp docs/COPYING.txt $(DOC_PREFIX)
	cp docs/README.txt $(DOC_PREFIX)
	cp docs/TODO.txt $(DOC_PREFIX)
	@echo "(...Setting permissions)"
	chmod a+rx,g-w,o-w $(DOC_PREFIX)


# Install the man page:

install-man:
	@echo "...Installing man pages..."
	# man1 directory...
	install -d $(MAN_PREFIX)/man1/
	# tuxpaint-config.1
	cp src/tuxpaint-config.1 $(MAN_PREFIX)/man1/
	gzip -f $(MAN_PREFIX)/man1/tuxpaint-config.1
	chmod a+rx,g-w,o-w $(MAN_PREFIX)/man1/tuxpaint-config.1.gz


# Build the program!

tuxpaint-config:	obj/tuxpaint-config.o obj/tuxpaint-config2.o	\
			obj/defaults.o
	$(CXX) $(CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
			obj/tuxpaint-config2.o obj/defaults.o $(FLTK_LIBS)


# Build the object for the program!

obj/tuxpaint-config.o:	src/tuxpaint-config.cxx obj src/version.h src/about.h
	$(CXX) $(CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o

obj/tuxpaint-config2.o:	src/tuxpaint-config2.cxx obj src/version.h src/about.h
	$(CXX) $(CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o

obj/defaults.o:	src/defaults.cxx obj
	$(CXX) $(CFLAGS) -c src/defaults.cxx -o obj/defaults.o


# Build the translation files for gettext

translations:	trans

trans:
	mkdir trans


# Make the "obj" directory to throw the object(s) into:

obj:
	mkdir obj

## tuxpaint-config 0.0.6

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,11 @@
 
 # http://www.newbreedsoftware.com/tuxpaint/
 
-# November 12, 2002 - September 4, 2004
+# November 12, 2002 - November 25, 2004
+
+
+VER_VERSION=0.0.6
+VER_DATE=`date +"%Y-%m-%d"`
 
 
 # Where to install things:
@@ -20,6 +24,7 @@
 # Program:
 
 BIN_PREFIX=$(PREFIX)/bin
+EXE_EXT=
 
 
 # Data:
@@ -71,7 +76,8 @@
 
 CFLAGS=-O2 -Wall $(FLTK_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" \
 	-D$(NOSOUNDFLAG) -DDOC_PREFIX=\"$(DOC_PREFIX)\" \
-	-DLOCALEDIR=\"$(LOCALE_PREFIX)\" -DCONFDIR=\"$(CONFDIR)\"
+	-DLOCALEDIR=\"$(LOCALE_PREFIX)\" -DCONFDIR=\"$(CONFDIR)\" \
+	-DVER_VERSION=\"$(VER_VERSION)\" -DVER_DATE=\"$(VER_DATE)\"
 
 
 # "make" with no arguments builds the program and man page from sources:
@@ -83,7 +89,51 @@
 	@echo "to install Tux Paint Configuration Tool."
 	@echo
 
-
+releaseclean:
+	@echo
+	@echo "Cleaning release directory"
+	@echo
+	@rm -rf "build/tuxpaint-config-$(VER_VERSION)" "build/tuxpaint-config-$(VER_VERSION).tar.gz"
+	@-if [ -d build ] ; then rmdir build ; fi
+
+releasedir: build/tuxpaint-config-$(VER_VERSION)
+
+build/tuxpaint-config-$(VER_VERSION):
+	@echo
+	@echo "Creating release directory"
+	@echo
+	@mkdir -p build/tuxpaint-config-$(VER_VERSION)
+	find . -follow \
+		\( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
+		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-config-$(VER_VERSION)/ \;
+
+release: releasedir
+	@echo
+	@echo "Creating release tarball"
+	@echo
+	@cd build ; \
+		tar -czvf tuxpaint-config-$(VER_VERSION).tar.gz \
+		tuxpaint-config-$(VER_VERSION)
+
+
+win32:
+	make \
+		EXE_EXT=.exe \
+		ICON_PREFIX=./ \
+		X11_ICON_PREFIX=./ \
+		CONFDIR=$(PREFIX)/etc/tuxpaint \
+		ARCH_LINKS="-lintl-3" \
+		ARCH_LIBS="obj/resource.o obj/win32utils.o"
+
+install-win32:
+	strip -s tuxpaint-config.exe
+	make install \
+		EXE_EXT=.exe \
+		ICON_PREFIX=./ \
+		X11_ICON_PREFIX=./ \
+		CONFDIR=$(PREFIX)/etc/tuxpaint \
+		ARCH_LINKS="-lintl-3" \
+		ARCH_LIBS="obj/resource.o obj/win32utils.o"
 
 # "make install" installs all of the various parts
 # (depending on the *PREFIX variables at the top, you probably need
@@ -191,7 +241,7 @@
 	@echo
 	@echo "...Installing program itself..."
 	cp tuxpaint-config $(BIN_PREFIX)
-	chmod a+rx,g-w,o-w $(BIN_PREFIX)/tuxpaint-config
+	chmod a+rx,g-w,o-w $(BIN_PREFIX)/tuxpaint-config$(EXE_EXT)
 
 
 # Install the data (sound, graphics, fonts):
@@ -243,9 +293,10 @@
 # Build the program!
 
 tuxpaint-config:	obj/tuxpaint-config.o obj/tuxpaint-config2.o	\
-			obj/defaults.o
+			obj/defaults.o $(ARCH_LIBS)
 	$(CXX) $(CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
-			obj/tuxpaint-config2.o obj/defaults.o $(FLTK_LIBS)
+			obj/tuxpaint-config2.o obj/defaults.o $(ARCH_LIBS) \
+			$(FLTK_LIBS) $(ARCH_LINKS)
 
 
 # Build the object for the program!
@@ -259,6 +310,14 @@
 obj/defaults.o:	src/defaults.cxx obj
 	$(CXX) $(CFLAGS) -c src/defaults.cxx -o obj/defaults.o
 
+obj/win32utils.o: src/win32utils.cxx obj src/win32utils.h
+	$(CXX) $(CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
+
+obj/resource.o:	visualc/resource.rc obj visualc/resource.h
+	@echo
+	@echo "...Compiling win32 resources..."
+	@windres -i visualc/resource.rc -o obj/resource.o
+
 
 # Build the translation files for gettext

## tuxpaint-config 0.0.7

=== Makefile ===
--- 
+++ 
@@ -9,10 +9,11 @@
 
 # http://www.newbreedsoftware.com/tuxpaint/
 
-# November 12, 2002 - November 25, 2004
-
-
-VER_VERSION=0.0.6
+# November 12, 2002 - October 19, 2006
+# $Id: Makefile,v 1.19 2006/10/19 07:42:09 wkendrick Exp $
+
+
+VER_VERSION=0.0.7
 VER_DATE=`date +"%Y-%m-%d"`
 
 
@@ -72,9 +73,11 @@
 FLTK_CFLAGS=`fltk-config --cxxflags`
 FLTK_LIBS=`fltk-config --ldstaticflags`
 
+# Default CFLAGS:
+CFLAGS=-O2 -Wall
+
 # The entire set of CFLAGS:
-
-CFLAGS=-O2 -Wall $(FLTK_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" \
+ALL_CFLAGS=$(CFLAGS) $(FLTK_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" \
 	-D$(NOSOUNDFLAG) -DDOC_PREFIX=\"$(DOC_PREFIX)\" \
 	-DLOCALEDIR=\"$(LOCALE_PREFIX)\" -DCONFDIR=\"$(CONFDIR)\" \
 	-DVER_VERSION=\"$(VER_VERSION)\" -DVER_DATE=\"$(VER_DATE)\"
@@ -122,7 +125,7 @@
 		ICON_PREFIX=./ \
 		X11_ICON_PREFIX=./ \
 		CONFDIR=$(PREFIX)/etc/tuxpaint \
-		ARCH_LINKS="-lintl-3" \
+		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-3"; fi ) \
 		ARCH_LIBS="obj/resource.o obj/win32utils.o"
 
 install-win32:
@@ -132,7 +135,7 @@
 		ICON_PREFIX=./ \
 		X11_ICON_PREFIX=./ \
 		CONFDIR=$(PREFIX)/etc/tuxpaint \
-		ARCH_LINKS="-lintl-3" \
+		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-3"; fi ) \
 		ARCH_LIBS="obj/resource.o obj/win32utils.o"
 
 # "make install" installs all of the various parts
@@ -286,7 +289,7 @@
 	install -d $(MAN_PREFIX)/man1/
 	# tuxpaint-config.1
 	cp src/tuxpaint-config.1 $(MAN_PREFIX)/man1/
-	gzip -f $(MAN_PREFIX)/man1/tuxpaint-config.1
+	gzip -9f $(MAN_PREFIX)/man1/tuxpaint-config.1
 	chmod a+rx,g-w,o-w $(MAN_PREFIX)/man1/tuxpaint-config.1.gz
 
 
@@ -294,7 +297,7 @@
 
 tuxpaint-config:	obj/tuxpaint-config.o obj/tuxpaint-config2.o	\
 			obj/defaults.o $(ARCH_LIBS)
-	$(CXX) $(CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
+	$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
 			obj/tuxpaint-config2.o obj/defaults.o $(ARCH_LIBS) \
 			$(FLTK_LIBS) $(ARCH_LINKS)
 
@@ -302,16 +305,16 @@
 # Build the object for the program!
 
 obj/tuxpaint-config.o:	src/tuxpaint-config.cxx obj src/version.h src/about.h
-	$(CXX) $(CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
+	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
 
 obj/tuxpaint-config2.o:	src/tuxpaint-config2.cxx obj src/version.h src/about.h
-	$(CXX) $(CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
+	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
 
 obj/defaults.o:	src/defaults.cxx obj
-	$(CXX) $(CFLAGS) -c src/defaults.cxx -o obj/defaults.o
+	$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
 
 obj/win32utils.o: src/win32utils.cxx obj src/win32utils.h
-	$(CXX) $(CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
+	$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
 
 obj/resource.o:	visualc/resource.rc obj visualc/resource.h
 	@echo

## tuxpaint-config 0.0.8

=== Makefile ===
--- 
+++ 
@@ -6,14 +6,15 @@
 # Torsten Giebl <wizard@turricane.org>
 # Jan Wynholds
 # Bill Kendrick <bill@newbreedsoftware.com>
-
-# http://www.newbreedsoftware.com/tuxpaint/
-
-# November 12, 2002 - October 19, 2006
-# $Id: Makefile,v 1.19 2006/10/19 07:42:09 wkendrick Exp $
-
-
-VER_VERSION=0.0.7
+# Martin Fuhrer <mfuhrer@gmail.com>
+
+# http://www.tuxpaint.org/
+
+# November 12, 2002 - July 1, 2007
+# $Id: Makefile,v 1.28 2007/07/01 15:04:49 wkendrick Exp $
+
+
+VER_VERSION=0.0.8
 VER_DATE=`date +"%Y-%m-%d"`
 
 
@@ -71,7 +72,9 @@
 # Libraries, paths, and flags:
 
 FLTK_CFLAGS=`fltk-config --cxxflags`
-FLTK_LIBS=`fltk-config --ldstaticflags`
+#FLTK_LIBS=`fltk-config --ldstaticflags`
+FLTK_LIBS=`fltk-config --ldflags`
+PAPER_LIB=-lpaper
 
 # Default CFLAGS:
 CFLAGS=-O2 -Wall
@@ -106,7 +109,7 @@
 	@echo "Creating release directory"
 	@echo
 	@mkdir -p build/tuxpaint-config-$(VER_VERSION)
-	find . -follow \
+	@find . -follow \
 		\( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
 		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-config-$(VER_VERSION)/ \;
 
@@ -125,17 +128,18 @@
 		ICON_PREFIX=./ \
 		X11_ICON_PREFIX=./ \
 		CONFDIR=$(PREFIX)/etc/tuxpaint \
-		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-3"; fi ) \
-		ARCH_LIBS="obj/resource.o obj/win32utils.o"
+		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-8"; fi ) \
+		ARCH_LIBS="obj/resource.o obj/win32utils.o" \
+		PAPER_LIB= 
 
 install-win32:
-	strip -s tuxpaint-config.exe
+	@strip -s tuxpaint-config.exe
 	make install \
 		EXE_EXT=.exe \
 		ICON_PREFIX=./ \
 		X11_ICON_PREFIX=./ \
 		CONFDIR=$(PREFIX)/etc/tuxpaint \
-		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-3"; fi ) \
+		ARCH_LINKS=$(shell if [ "x$$OSTYPE" == "xcygwin" ]; then echo -n "-lintl"; else echo -n "-lintl-8"; fi ) \
 		ARCH_LIBS="obj/resource.o obj/win32utils.o"
 
 # "make install" installs all of the various parts
@@ -158,11 +162,12 @@
 # built man page (returns to factory archive, pretty much...)
 
 clean:
-	-rm -f tuxpaint-config tuxpaint-config.exe
-	-rm -f obj/*.o
-	if [ -d obj ]; then rmdir obj; fi
-	-rm -f trans/*.mo
-	if [ -d trans ]; then rmdir trans; fi
+	@echo "Cleaning up the build directory ($(PWD))"
+	@-rm -f tuxpaint-config tuxpaint-config.exe
+	@-rm -f obj/*.o
+	@#if [ -d obj ]; then rmdir obj; fi
+	@-rm -f trans/*.mo
+	@if [ -d trans ]; then rmdir trans; fi
 
 
 # "make uninstall" should remove the various parts from their
@@ -174,9 +179,9 @@
 #	  -rm $(GNOME_PREFIX)/share/gnome/apps/Graphics/tuxpaint-config.desktop; \
 #	  -rm $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
 #	fi
-#	if [ "x$(KDE_PREFIX)" != "x" ]; then \
-#	  -rm $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
-#	fi
+	if [ "x$(KDE_PREFIX)" != "x" ]; then \
+	  rm $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
+	fi
 	-rm $(ICON_PREFIX)tuxpaint-config.png
 	-rm $(X11_ICON_PREFIX)tuxpaint-config.xpm
 	-rm $(BIN_PREFIX)/tuxpaint-config
@@ -205,15 +210,15 @@
 install-kde:
 	@echo
 	@echo "...Installing launcher icon into KDE..."
-#	if [ "x$(KDE_PREFIX)" != "x" ]; then \
-#	  install -d $(KDE_PREFIX)/Preferences/; \
-#	  cp src/tuxpaint-config.desktop $(KDE_PREFIX)/Preferences/; \
-#	  chmod 644 $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
-#	fi
+	@if [ "x$(KDE_PREFIX)" != "x" ]; then \
+	  install -d $(KDE_PREFIX)/Preferences/; \
+	  cp src/tuxpaint-config.desktop $(KDE_PREFIX)/Preferences/; \
+	  chmod 644 $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
+	fi
 
 
 install-kde-icons:
-	echo "...Installing launcher icon graphics into KDE..."
+	@echo "...Installing launcher icon graphics into KDE..."
 	@if [ "x$(KDE_ICON_PREFIX)" != "x" ]; then \
 	  cp data/images/icon48x48.png \
 		$(KDE_ICON_PREFIX)/hicolor/48x48/apps/tuxpaint-config.png; \
@@ -230,12 +235,12 @@
 install-icon:
 	@echo
 	@echo "...Installing launcher icon graphics..."
-	install -d $(ICON_PREFIX)
-	cp data/images/icon.png $(ICON_PREFIX)tuxpaint-config.png
-	chmod 644 $(ICON_PREFIX)tuxpaint-config.png
-	install -d $(X11_ICON_PREFIX)
-	cp data/images/icon32x32.xpm $(X11_ICON_PREFIX)tuxpaint-config.xpm
-	chmod 644 $(X11_ICON_PREFIX)tuxpaint-config.xpm
+	@install -d $(ICON_PREFIX)
+	@cp data/images/icon.png $(ICON_PREFIX)tuxpaint-config.png
+	@chmod 644 $(ICON_PREFIX)tuxpaint-config.png
+	@install -d $(X11_ICON_PREFIX)
+	@cp data/images/icon32x32.xpm $(X11_ICON_PREFIX)tuxpaint-config.xpm
+	@chmod 644 $(X11_ICON_PREFIX)tuxpaint-config.xpm
 
 
 # Install the program:
@@ -243,8 +248,8 @@
 install-bin:
 	@echo
 	@echo "...Installing program itself..."
-	cp tuxpaint-config $(BIN_PREFIX)
-	chmod a+rx,g-w,o-w $(BIN_PREFIX)/tuxpaint-config$(EXE_EXT)
+	@cp tuxpaint-config $(BIN_PREFIX)
+	@chmod a+rx,g-w,o-w $(BIN_PREFIX)/tuxpaint-config$(EXE_EXT)
 
 
 # Install the data (sound, graphics, fonts):
@@ -252,9 +257,9 @@
 install-data:
 	@echo
 	@echo "...Installing data files..."
-	install -d $(DATA_PREFIX)
-	cp -R data/* $(DATA_PREFIX)
-	chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
+	@install -d $(DATA_PREFIX)
+	@cp -R data/* $(DATA_PREFIX)
+	@chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
 
 
 # Install the translated text:
@@ -271,14 +276,16 @@
 	@echo
 	@echo "...Installing documentation..."
 	@echo "(English)"
-	install -d $(DOC_PREFIX)
-	cp docs/AUTHORS.txt $(DOC_PREFIX)
-	cp docs/CHANGES.txt $(DOC_PREFIX)
-	cp docs/COPYING.txt $(DOC_PREFIX)
-	cp docs/README.txt $(DOC_PREFIX)
-	cp docs/TODO.txt $(DOC_PREFIX)
+	@install -d $(DOC_PREFIX)
+	@install -d $(DOC_PREFIX)/html
+	@cp docs/AUTHORS.txt $(DOC_PREFIX)
+	@cp docs/CHANGES.txt $(DOC_PREFIX)
+	@cp docs/COPYING.txt $(DOC_PREFIX)
+	@cp docs/README.txt $(DOC_PREFIX)
+	@cp docs/html/README.html $(DOC_PREFIX)/html
+	@cp docs/TODO.txt $(DOC_PREFIX)
 	@echo "(...Setting permissions)"
-	chmod a+rx,g-w,o-w $(DOC_PREFIX)
+	@chmod -R a+rx,g-w,o-w $(DOC_PREFIX)
 
 
 # Install the man page:
@@ -286,37 +293,42 @@
 install-man:
 	@echo "...Installing man pages..."
 	# man1 directory...
-	install -d $(MAN_PREFIX)/man1/
+	@install -d $(MAN_PREFIX)/man1/
 	# tuxpaint-config.1
-	cp src/tuxpaint-config.1 $(MAN_PREFIX)/man1/
-	gzip -9f $(MAN_PREFIX)/man1/tuxpaint-config.1
-	chmod a+rx,g-w,o-w $(MAN_PREFIX)/man1/tuxpaint-config.1.gz
+	@cp src/tuxpaint-config.1 $(MAN_PREFIX)/man1/
+	@gzip -9f $(MAN_PREFIX)/man1/tuxpaint-config.1
+	@chmod a+rx,g-w,o-w $(MAN_PREFIX)/man1/tuxpaint-config.1.gz
 
 
 # Build the program!
 
 tuxpaint-config:	obj/tuxpaint-config.o obj/tuxpaint-config2.o	\
 			obj/defaults.o $(ARCH_LIBS)
-	$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
+	@echo Linking
+	@$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
 			obj/tuxpaint-config2.o obj/defaults.o $(ARCH_LIBS) \
-			$(FLTK_LIBS) $(ARCH_LINKS)
+			$(FLTK_LIBS) $(ARCH_LINKS) $(PAPER_LIB)
 
 
 # Build the object for the program!
 
-obj/tuxpaint-config.o:	src/tuxpaint-config.cxx obj src/version.h src/about.h
-	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
-
-obj/tuxpaint-config2.o:	src/tuxpaint-config2.cxx obj src/version.h src/about.h
-	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
-
-obj/defaults.o:	src/defaults.cxx obj
-	$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
-
-obj/win32utils.o: src/win32utils.cxx obj src/win32utils.h
-	$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
-
-obj/resource.o:	visualc/resource.rc obj visualc/resource.h
+obj/tuxpaint-config.o:	src/tuxpaint-config.cxx src/version.h src/about.h
+	@echo Compiling tuxpaint-config.cxx
+	@$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
+
+obj/tuxpaint-config2.o:	src/tuxpaint-config2.cxx src/version.h src/about.h
+	@echo Compiling tuxpaint-config2.cxx
+	@$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
+
+obj/defaults.o:	src/defaults.cxx
+	@echo Compiling defaults.cxx
+	@$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
+
+obj/win32utils.o: src/win32utils.cxx src/win32utils.h
+	@echo Compiling win32utils.cxx
+	@$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
+
+obj/resource.o:	visualc/resource.rc visualc/resource.h
 	@echo
 	@echo "...Compiling win32 resources..."
 	@windres -i visualc/resource.rc -o obj/resource.o
@@ -327,11 +339,11 @@
 translations:	trans
 
 trans:
-	mkdir trans
+	@mkdir trans
 
 
 # Make the "obj" directory to throw the object(s) into:
 
 obj:
-	mkdir obj
-
+	@mkdir obj
+

=== docs/Makefile ===
# Makefile for Tux Paint Config docs
# 
# Uses "links" to convert docs from HTML to plain text.
# (Normally only ran by the developers after updating the HTML, prior to
# release.)
#
# Bill Kendrick
# bill@newbreedsoftware.com
# 
# Sept. 9, 2006 - Sept. 9, 2006
# $Id: Makefile,v 1.1 2006/09/10 19:49:09 wkendrick Exp $

LINKS=links -dump -no-numbering -no-references

all:	README.txt

clean:
	-rm README.txt

README.txt:	html/README.html
	$(LINKS) $< > $@

## tuxpaint-config 0.0.10

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 # http://www.tuxpaint.org/
 
-# November 12, 2002 - July 1, 2007
-# $Id: Makefile,v 1.28 2007/07/01 15:04:49 wkendrick Exp $
-
-
-VER_VERSION=0.0.8
+# November 12, 2002 - January 30, 2008
+# $Id: Makefile,v 1.32 2008/01/30 20:46:42 wkendrick Exp $
+
+
+VER_VERSION=0.0.10
 VER_DATE=`date +"%Y-%m-%d"`

## tuxpaint-config 0.0.12

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 # http://www.tuxpaint.org/
 
-# November 12, 2002 - January 30, 2008
-# $Id: Makefile,v 1.32 2008/01/30 20:46:42 wkendrick Exp $
-
-
-VER_VERSION=0.0.10
+# November 12, 2002 - May 28, 2009
+# $Id: Makefile,v 1.38 2009/05/28 22:08:08 wkendrick Exp $
+
+
+VER_VERSION=0.0.12
 VER_DATE=`date +"%Y-%m-%d"`
 
 
@@ -53,9 +53,9 @@
 
 ICON_PREFIX=$(PREFIX)/share/pixmaps/
 X11_ICON_PREFIX=$(PREFIX)/X11R6/include/X11/pixmaps/
-GNOME_PREFIX=`gnome-config --prefix`
-KDE_PREFIX=`kde-config --install apps --expandvars`
-KDE_ICON_PREFIX=`kde-config --install icon --expandvars`
+GNOME_PREFIX=$(shell gnome-config --prefix 2> /dev/null)
+KDE_PREFIX=$(shell kde-config --install apps --expandvars 2> /dev/null)
+KDE_ICON_PREFIX=$(shell kde-config --install icon --expandvars 2> /dev/null)
 
 
 # Locale files
@@ -71,9 +71,16 @@
 
 # Libraries, paths, and flags:
 
+# FIXME: UTF-8 required for translations; we need to see if we can
+# use fltk-utf8 (and fallback to regular fltk, if not).
+# I did not have luck using fltk-utf8, even in English, though :(
+# -bjk 2008.07.16
+#FLTK_CFLAGS=`fltk-utf8-config --cxxflags`
+#FLTK_LIBS=`fltk-utf8-config --ldflags`
+
 FLTK_CFLAGS=`fltk-config --cxxflags`
-#FLTK_LIBS=`fltk-config --ldstaticflags`
 FLTK_LIBS=`fltk-config --ldflags`
+
 PAPER_LIB=-lpaper
 
 # Default CFLAGS:
@@ -175,11 +182,11 @@
 # are the same as they were when you installed, of course!!!
 
 uninstall:
-#	if [ "x$(GNOME_PREFIX)" != "x" ]; then \
-#	  -rm $(GNOME_PREFIX)/share/gnome/apps/Graphics/tuxpaint-config.desktop; \
-#	  -rm $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
-#	fi
-	if [ "x$(KDE_PREFIX)" != "x" ]; then \
+	-if [ "x$(GNOME_PREFIX)" != "x" ]; then \
+	  rm $(GNOME_PREFIX)/share/applications/tuxpaint-config.desktop; \
+	  rm $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
+	fi
+	-if [ "x$(KDE_PREFIX)" != "x" ]; then \
 	  rm $(KDE_PREFIX)/Preferences/tuxpaint-config.desktop; \
 	fi
 	-rm $(ICON_PREFIX)tuxpaint-config.png
@@ -190,19 +197,19 @@
 	-rm $(MAN_PREFIX)/man1/tuxpaint-config.1.gz
 
 
-# Install a launcher icon in the Gnome menu, under "???"
+# Install a launcher icon in the Gnome menu, under "Graphhics"
 
 install-gnome:
-#	@echo
-#	@echo "...Installing launcher icon into GNOME..."
-#	if [ "x$(GNOME_PREFIX)" != "x" ]; then \
-#	 install -d $(GNOME_PREFIX)/share/pixmaps; \
-#	 cp data/images/icon.png $(GNOME_PREFIX)/share/pixmaps/tuxpaint.png; \
-#	 chmod 644 $(GNOME_PREFIX)/share/pixmaps/tuxpaint.png; \
-#	 install -d $(GNOME_PREFIX)/share/gnome/apps/Graphics; \
-#	 cp src/tuxpaint.desktop $(GNOME_PREFIX)/share/gnome/apps/Graphics/; \
-#	 chmod 644 $(GNOME_PREFIX)/share/gnome/apps/Graphics/tuxpaint.desktop; \
-#	fi
+	@echo
+	@echo "...Installing launcher icon into GNOME..."
+	@if [ "x$(GNOME_PREFIX)" != "x" ]; then \
+  	  install -d $(GNOME_PREFIX)/share/pixmaps; \
+	  cp data/images/icon.png $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
+	  chmod 644 $(GNOME_PREFIX)/share/pixmaps/tuxpaint-config.png; \
+	  install -d $(GNOME_PREFIX)/share/applications; \
+	  cp src/tuxpaint-config.desktop $(GNOME_PREFIX)/share/applications/; \
+	  chmod 644 $(GNOME_PREFIX)/share/applications/tuxpaint-config.desktop; \
+	fi
 
 
 # Install a launcher icon in the KDE menu...
@@ -260,14 +267,6 @@
 	@install -d $(DATA_PREFIX)
 	@cp -R data/* $(DATA_PREFIX)
 	@chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
-
-
-# Install the translated text:
-
-install-gettext:
-	@echo
-	@echo "...Installing translation files..."
-
 
 
 # Install the text documentation:
@@ -305,7 +304,7 @@
 tuxpaint-config:	obj/tuxpaint-config.o obj/tuxpaint-config2.o	\
 			obj/defaults.o $(ARCH_LIBS)
 	@echo Linking
-	@$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
+	$(CXX) $(ALL_CFLAGS) -o tuxpaint-config obj/tuxpaint-config.o 	\
 			obj/tuxpaint-config2.o obj/defaults.o $(ARCH_LIBS) \
 			$(FLTK_LIBS) $(ARCH_LINKS) $(PAPER_LIB)
 
@@ -314,19 +313,19 @@
 
 obj/tuxpaint-config.o:	src/tuxpaint-config.cxx src/version.h src/about.h
 	@echo Compiling tuxpaint-config.cxx
-	@$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
+	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config.cxx -o obj/tuxpaint-config.o
 
 obj/tuxpaint-config2.o:	src/tuxpaint-config2.cxx src/version.h src/about.h
 	@echo Compiling tuxpaint-config2.cxx
-	@$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
+	$(CXX) $(ALL_CFLAGS) -c src/tuxpaint-config2.cxx -o obj/tuxpaint-config2.o
 
 obj/defaults.o:	src/defaults.cxx
 	@echo Compiling defaults.cxx
-	@$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
+	$(CXX) $(ALL_CFLAGS) -c src/defaults.cxx -o obj/defaults.o
 
 obj/win32utils.o: src/win32utils.cxx src/win32utils.h
 	@echo Compiling win32utils.cxx
-	@$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
+	$(CXX) $(ALL_CFLAGS) -c src/win32utils.cxx -o obj/win32utils.o
 
 obj/resource.o:	visualc/resource.rc visualc/resource.h
 	@echo
@@ -334,11 +333,61 @@
 	@windres -i visualc/resource.rc -o obj/resource.o
 
 
+# Translation stuff:
+
+POFILES:=$(wildcard src/po/*.po)
+MOFILES:=$(patsubst src/po/%.po,trans/%.mo,$(POFILES))
+INSTALLED_MOFILES:=$(patsubst trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo,$(MOFILES))
+
+$(INSTALLED_MOFILES): $(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo: trans/%.mo
+	install -D -m 644 $< $@
+
+.PHONY: uninstall-i18n
+uninstall-i18n:
+	-rm $(LOCALE_PREFIX)/*/LC_MESSAGES/tuxpaint-config.mo
+
+
+# Install the translated text:
+# We can install *.mo files if they were already generated, or if it can be
+# generated from the *.po files.  The *.mo files can be generated from the
+# *.po files if we have the converter program, msgfmt, installed in the
+# system.  So we test for both and install them if either case is found
+# to be true.  If neither case is found to be true, we'll just install
+# Tux Paint without the translation files.
+.PHONY: install-gettext
+ifeq "$(wildcard trans/*.mo)$(shell msgfmt -h)" ""
+install-gettext:
+	@echo
+	@echo "--------------------------------------------------------------"
+	@echo "Cannot install translation files because no translation files"
+	@echo "were found (trans/*.mo) and the 'msgfmt' program is not installed."
+	@echo "You will not be able to run Tux Paint in non-U.S. English modes."
+	@echo "--------------------------------------------------------------"
+else
+install-gettext: $(INSTALLED_MOFILES)
+endif
+
+
 # Build the translation files for gettext
 
-translations:	trans
+$(MOFILES): trans/%.mo: src/po/%.po
+	msgfmt -o $@ $<
+
+.PHONY: translations
+ifeq "$(shell msgfmt -h)" ""
+translations: trans
+	@echo "--------------------------------------------------------------"
+	@echo "Cannot find program 'msgfmt'!"
+	@echo "No translation files will be prepared."
+	@echo "Install gettext to run Tux Paint in non-U.S. English modes."
+	@echo "--------------------------------------------------------------"
+else
+translations: trans $(MOFILES)
+endif
 
 trans:
+	@echo
+	@echo "...Preparing translation files..."
 	@mkdir trans

=== docs/Makefile ===
--- 
+++ 
@@ -7,10 +7,11 @@
 # Bill Kendrick
 # bill@newbreedsoftware.com
 # 
-# Sept. 9, 2006 - Sept. 9, 2006
-# $Id: Makefile,v 1.1 2006/09/10 19:49:09 wkendrick Exp $
+# Sept. 9, 2006 - July 14, 2008
+# $Id: Makefile,v 1.2 2008/07/14 20:50:50 wkendrick Exp $
 
-LINKS=links -dump -no-numbering -no-references
+#LINKS=links -dump -no-numbering -no-references
+LINKS=links -dump
 
 all:	README.txt

## tuxpaint-config 0.0.13

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 # http://www.tuxpaint.org/
 
-# November 12, 2002 - May 28, 2009
-# $Id: Makefile,v 1.38 2009/05/28 22:08:08 wkendrick Exp $
-
-
-VER_VERSION=0.0.12
+# November 12, 2002 - July 6, 2009
+# $Id: Makefile,v 1.39 2009/07/06 16:21:09 wkendrick Exp $
+
+
+VER_VERSION=0.0.13
 VER_DATE=`date +"%Y-%m-%d"`

=== debian/changelog ===
tuxpaint-config (0.0.13-1) unstable; urgency=low

  * New upstream release. (Closes: #626782, #722947)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Include watch file, thanks to Daniel Liedert <daniel.leidert@wgdd.de>.
    (Closes: #549385).
  * Update watch file to new location.
  * Update to current standards.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 26 Oct 2014 09:53:13 -0300

tuxpaint-config (0.0.12-3) unstable; urgency=low

  * Eliminate non-literal format string. (Closes: #652175)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 19 Dec 2011 05:50:56 -0400

tuxpaint-config (0.0.12-2) unstable; urgency=low

  * Remove redundant desktop file.  (Closes: #498927)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 16 Oct 2009 09:30:06 -0300

tuxpaint-config (0.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 09 Aug 2009 12:20:30 -0300

tuxpaint-config (0.0.10-1) unstable; urgency=low

  * New upstream release.
  * Install desktop file to opendesktop location.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 08 Jun 2008 14:41:23 -0300

tuxpaint-config (0.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 03 Jul 2007 22:12:27 -0300

tuxpaint-config (0.0.7+0.0.8rc1-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 30 Jun 2007 17:46:26 -0300

tuxpaint-config (0.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 22 Oct 2006 12:00:14 -0300

tuxpaint-config (0.0.6+0.0.7rc5-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 15 Oct 2006 11:05:04 -0300

tuxpaint-config (0.0.6-2) unstable; urgency=low

  * Fixed X11 dependencies (thanks, Matt Kraai) (Closes: #356274)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  2 Apr 2006 10:28:04 -0300

tuxpaint-config (0.0.6-1) unstable; urgency=low

  * New upstream release.
  * Fix missing menu entry.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 21 Jan 2006 19:06:41 -0400

tuxpaint-config (0.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  7 Oct 2004 10:26:42 -0300

=== debian/control ===
Source: tuxpaint-config
Section: graphics
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Build-Depends: debhelper (>= 5.0.0), libfltk1.3-dev, libxft-dev, libxinerama-dev, libpaper-dev
Standards-Version: 3.9.6

Package: tuxpaint-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tuxpaint (= 1:0.9.22)
Conflicts: tuxpaint (<< 1:0.9.22)
Description: Configuration tool for Tux Paint
 Tux Paint has a rich set of configuration options, controllable via
 command-line options or configuration files.  This configuration tool
 provides a point-and-click interface for administrators to tailor Tux
 Paint to suit the needs of their users.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=CVS

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tuxpaint-config.
	$(MAKE) install \
	  PREFIX=$(CURDIR)/debian/tuxpaint-config/usr \
          CONFDIR=$(CURDIR)/debian/tuxpaint/etc/tuxpaint \
	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint-config/usr \
	  KDE_PREFIX=$(CURDIR)/debian/tuxpaint-config/usr/share/applnk \
	  KDE_ICON_PREFIX=$(CURDIR)/debian/tuxpaint-config/usr/share/icons \
	  X11_ICON_PREFIX=$(CURDIR)/debian/tuxpaint-config/usr/share/pixmaps/
	# Cleanup after install
	rm $(CURDIR)/debian/tuxpaint-config/usr/share/doc/tuxpaint-config/CHANGES.txt
	rm $(CURDIR)/debian/tuxpaint-config/usr/share/doc/tuxpaint-config/COPYING.txt
	# install desktop file to freedesktop default directory
	install -m 664 $(CURDIR)/src/tuxpaint-config.desktop \
	  $(CURDIR)/debian/tuxpaint-config/usr/share/applications
	# remove redundant desktop file from old KDE location
	rm $(CURDIR)/debian/tuxpaint-config/usr/share/applnk/Preferences/tuxpaint-config.desktop

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs docs/CHANGES.txt
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=2
ftp://ftp.tuxpaint.org/unix/x/tuxpaint/config/tuxpaint-config-(\d\.\d+\.\d+.*)\.tar.gz debian uupdate

## tuxpaint-config 0.0.14

=== Makefile ===
--- 
+++ 
@@ -3,19 +3,19 @@
 # Tux Paint Configuration Tool - A GUI-based configurator for
 #                              Tux Paint, a simple drawing program for children.
 
-# Torsten Giebl <wizard@turricane.org>
-# Jan Wynholds
-# Bill Kendrick <bill@newbreedsoftware.com>
-# Martin Fuhrer <mfuhrer@gmail.com>
-
+# Copyright 2002-2018 by various contributors; see AUTHORS.txt
 # http://www.tuxpaint.org/
 
-# November 12, 2002 - July 6, 2009
-# $Id: Makefile,v 1.39 2009/07/06 16:21:09 wkendrick Exp $
-
-
-VER_VERSION=0.0.13
-VER_DATE=`date +"%Y-%m-%d"`
+# November 12, 2002 - August 28, 2018
+# $Id$
+
+
+VER_VERSION=0.0.14
+ifdef SOURCE_DATE_EPOCH
+       VER_DATE=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%Y-%m-%d" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+%Y-%m-%d" 2>/dev/null || date -u "+%Y-%m-%d")
+else
+       VER_DATE=$(shell date "+%Y-%m-%d")
+endif
 
 
 # Where to install things:
@@ -117,7 +117,7 @@
 	@echo
 	@mkdir -p build/tuxpaint-config-$(VER_VERSION)
 	@find . -follow \
-		\( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
+		\( -wholename '*/.git' -o -name .gitignore -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
 		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-config-$(VER_VERSION)/ \;
 
 release: releasedir
@@ -128,6 +128,36 @@
 		tar -czvf tuxpaint-config-$(VER_VERSION).tar.gz \
 		tuxpaint-config-$(VER_VERSION)
 
+macos: .
+	make \
+		PREFIX=./TuxPaint-Config.app/Contents/Resources \
+		CFLAGS="-mmacosx-version-min=10.7 -isystem /opt/local/include -DHAVE_STRCASESTR -w -headerpad_max_install_names -Wall -O2" \
+		ARCH_LINKS=-lintl
+
+install-macos: .
+	@echo
+	@echo "...Installing App Bundle Support Files..."
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/MacOS
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/Resources/share
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/Resources/doc
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/Resources/man
+	@install -d -m 755 ./TuxPaint-Config.app/Contents/Resources/locale
+	@make install \
+		BIN_PREFIX=./TuxPaint-Config.app/Contents/MacOS \
+		PREFIX=./TuxPaint-Config.app/Contents/Resources \
+		DATA_PREFIX=./TuxPaint-Config.app/Contents/Resources/share/ \
+		DOC_PREFIX=./TuxPaint-Config.app/Contents/Resources/doc/ \
+		MAN_PREFIX=./TuxPaint-Config.app/Contents/Resources/man/ \
+		LOCALE_PREFIX=./TuxPaint-Config.app/Contents/Resources/locale \
+		CONFDIR="/Library/Application Support/TuxPaint" \
+		ARCH_LINKS=-lintl
+	@install -m 644 macos/PkgInfo ./TuxPaint-Config.app/Contents
+	@install -m 644 macos/Info.plist ./TuxPaint-Config.app/Contents
+	@install -m 644 macos/tuxpaint.icns ./TuxPaint-Config.app/Contents/Resources
+	@macos/build-app.sh
+	@echo
+	@echo "...Creating DMG Distribution File..."
+	@macos/build-dmg.sh
 
 win32:
 	make \
@@ -175,6 +205,7 @@
 	@#if [ -d obj ]; then rmdir obj; fi
 	@-rm -f trans/*.mo
 	@if [ -d trans ]; then rmdir trans; fi
+	@-rm -rf TuxPaint-Config.app TuxPaint-Config.dmg
 
 
 # "make uninstall" should remove the various parts from their
@@ -338,9 +369,13 @@
 POFILES:=$(wildcard src/po/*.po)
 MOFILES:=$(patsubst src/po/%.po,trans/%.mo,$(POFILES))
 INSTALLED_MOFILES:=$(patsubst trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo,$(MOFILES))
+INSTALLED_MODIRS:=$(patsubst trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES,$(MOFILES))
+
+$(INSTALLED_MODIRS): $(LOCALE_PREFIX)/%/LC_MESSAGES: trans/%.mo
+	install -d -m 755 $@
 
 $(INSTALLED_MOFILES): $(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo: trans/%.mo
-	install -D -m 644 $< $@
+	install -m 644 $< $@
 
 .PHONY: uninstall-i18n
 uninstall-i18n:
@@ -358,41 +393,3 @@
 ifeq "$(wildcard trans/*.mo)$(shell msgfmt -h)" ""
 install-gettext:
 	@echo
-	@echo "--------------------------------------------------------------"
-	@echo "Cannot install translation files because no translation files"
-	@echo "were found (trans/*.mo) and the 'msgfmt' program is not installed."
-	@echo "You will not be able to run Tux Paint in non-U.S. English modes."
-	@echo "--------------------------------------------------------------"
-else
-install-gettext: $(INSTALLED_MOFILES)
-endif
-
-
-# Build the translation files for gettext
-
-$(MOFILES): trans/%.mo: src/po/%.po
-	msgfmt -o $@ $<
-
-.PHONY: translations
-ifeq "$(shell msgfmt -h)" ""
-translations: trans
-	@echo "--------------------------------------------------------------"
-	@echo "Cannot find program 'msgfmt'!"
-	@echo "No translation files will be prepared."
-	@echo "Install gettext to run Tux Paint in non-U.S. English modes."
-	@echo "--------------------------------------------------------------"
-else
-translations: trans $(MOFILES)
-endif
-
-trans:
-	@echo
-	@echo "...Preparing translation files..."
-	@mkdir trans
-
-
-# Make the "obj" directory to throw the object(s) into:
-
-obj:
-	@mkdir obj
-

=== docs/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # bill@newbreedsoftware.com
 # 
 # Sept. 9, 2006 - July 14, 2008
-# $Id: Makefile,v 1.2 2008/07/14 20:50:50 wkendrick Exp $
+# $Id$
 
 #LINKS=links -dump -no-numbering -no-references
 LINKS=links -dump

=== debian/changelog ===
tuxpaint-config (0.0.14-1) unstable; urgency=medium

  * New upstream release
  * Update copyright file
  * Update debian-jr uploader team e-mail address
    (Closes: #899291)
  * Update standards version to 4.2.1
  * debian/control: wrap-and-sort
  * Drop reproducible-builds patch (applied upstream)

 -- Jonathan Carter <jcc@debian.org>  Tue, 11 Sep 2018 09:33:36 +0200

tuxpaint-config (0.0.13-8) unstable; urgency=medium

  * Move git repository to salsa.debian.org
  * Update standards version to 4.1.3
  * Update compat level to 11
  * Add Debian Junior team to uploaders

 -- Jonathan Carter <jcc@debian.org>  Wed, 14 Feb 2018 11:53:42 +0200

tuxpaint-config (0.0.13-7) unstable; urgency=medium

  * Fix parallel builds (Closes: #879042)

 -- Jonathan Carter <jcc@debian.org>  Mon, 13 Nov 2017 15:07:32 +0200

tuxpaint-config (0.0.13-6) unstable; urgency=medium

  * Update standards version to 4.1.1
    - Update copyright file to copyright format 1.0
    - Remove obsolete menu file
    - Remove obsolete -k from dh_clean
    - Set hardening=+all
    - Remove ancient conflicts
  * Fix spelling mistakes in man page
  * debian/rules:
    - Remove boilerplate text
  * Add -fpic for x32

 -- Jonathan Carter <jcc@debian.org>  Mon, 30 Oct 2017 09:20:13 +0200

tuxpaint-config (0.0.13-5) unstable; urgency=medium

  * Fix cross-builds (Closes: #878365)

 -- Jonathan Carter <jcc@debian.org>  Sat, 28 Oct 2017 22:11:39 +0200

tuxpaint-config (0.0.13-4) unstable; urgency=medium

  * Adopting package (Closes: #848989)
  * Remove boilerplate from include-standard-flags patch
  * Update compat to 10
  * Update copyright file to copyright-format 1.0
  * debian/rules:
     - Remove boilerplate comments from debian/rules
     - Set DEB_BUILD_MAINT_OPTIONS=hardening=+all
     - Use build architecture toolchain (Closes: #878365)
  * debian/control:
     - Remove ancient Conflicts
     - Update standards version to 4.1.1

 -- Jonathan Carter <jcc@debian.org>  Wed, 18 Oct 2017 15:08:25 +0200

tuxpaint-config (0.0.13-3) unstable; urgency=medium

  * QA upload.
  * Imported source into a gbp repo in collab-maint.
  * Removed empty /usr/share/applnk/ from binary package.
  * Changed Standards-Version from 3.9.6 to 4.1.0.
  * Added homepage link to d/control.
  * Removed obsolete menu file.
  * Changed to debhelper level 9.
  * Added gbp.conf file to enfore use of pristine-tar.
  * Added watch file pointing to sourceforge.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Aug 2017 13:31:19 +0200

tuxpaint-config (0.0.13-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #848989)
  * Add patch from Chris Lamb to make the build reproducible.
    (Closes:  #834780)

 -- Adrian Bunk <bunk@debian.org>  Sun, 22 Jan 2017 01:48:06 +0200

=== debian/control ===
Source: tuxpaint-config
Section: graphics
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Uploaders: Debian Junior Maintainers <debian-jr@lists.debian.org>
Build-Depends: debhelper (>= 11),
               libfltk1.3-dev,
               libpaper-dev,
               libxft-dev,
               libxinerama-dev
Standards-Version: 4.2.1
Homepage: http://www.newbreedsoftware.com/tuxpaint/
Vcs-Browser: https://salsa.debian.org/debian-jr-team/tuxpaint-config
Vcs-Git: https://salsa.debian.org/debian-jr-team/tuxpaint-config.git

Package: tuxpaint-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: tuxpaint
Description: Configuration tool for Tux Paint
 Tux Paint has a rich set of configuration options, controllable via
 command-line options or configuration files.  This configuration tool
 provides a point-and-click interface for administrators to tailor Tux
 Paint to suit the needs of their users.

=== debian/rules ===
--- 
+++ 
@@ -1,35 +1,29 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# GNU copyright 1997 to 1999 by Joey Hess.
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DH_ALWAYS_EXCLUDE=CVS
 
-export DH_ALWAYS_EXCLUDE=CVS
+ifeq ($(shell uname --machine), x86_32)
+   CFLAGS += -fPIC
+   CXXFLAGS += -fPIC
+endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-
 	touch configure-stamp
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) PREFIX=/usr CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	dh_auto_build -- PREFIX=/usr CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch build-stamp
 
@@ -41,12 +35,12 @@
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
 
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tuxpaint-config.
@@ -65,6 +59,8 @@
 	  $(CURDIR)/debian/tuxpaint-config/usr/share/applications
 	# remove redundant desktop file from old KDE location
 	rm $(CURDIR)/debian/tuxpaint-config/usr/share/applnk/Preferences/tuxpaint-config.desktop
+	rmdir $(CURDIR)/debian/tuxpaint-config/usr/share/applnk/Preferences
+	rmdir $(CURDIR)/debian/tuxpaint-config/usr/share/applnk
 
 # Build architecture-independent files here.
 binary-indep: build install
